from foobar.models import *
from django.contrib import admin

class AlertInline(admin.TabularInline):
  model = Alert
  extra = 0
  max_num = 0
  can_delete = False
  readonly_fields = ('service',)
  fields = ('service', 'enable')

class RoleAdmin(admin.ModelAdmin):
  inlines = [ AlertInline, ]
  class Media:
    css = { "all" : ("css/hide_admin_original.css",) }
admin.site.register(Role, RoleAdmin)
admin.site.register(Service)
#admin.site.register(Alert)
