from django.conf.urls.defaults import patterns, include, url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

from django.contrib import databrowse
from running.models import User, Result
databrowse.site.register(User)
databrowse.site.register(Result)

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'foobar.views.home', name='home'),
    url(r'^foobar/', include('django_apps.foobar.urls')),
    url(r'^running/', include('django_apps.running.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls)),
    (r'^accounts/login/$', 'django.contrib.auth.views.login'),
    (r'^accounts/logout/$', 'django.contrib.auth.views.logout'),
)

urlpatterns += staticfiles_urlpatterns()
